Subject: bug#52705: 29.0.50; Flashing popups when x-gtk-use-system-tooltips is nil in pgtk

From: martin rudalics <[email-masked]>
Date: Sun, 26 Dec 2021 09:25:17 +0100

> Thanks, should be fixed now on master.

Confirmed.  The following tooltip related issues are still virulent with
an X-built PGTK port and (setq x-gtk-use-system-tooltips nil) here.

- The rightmost letter of a tooltip (typically an "u" in "Menu") is
   usually cropped off by ~50%.  Letters like "i" and "r" are fully
   visible so I suppose it's a variable pitch issue.  I don't see it with
   a mono-spaced font.

- Tooltips on menu bar items are system tooltips.  Also, the tooltip on
   "Next Buffer" in the Buffers menu does not show up for some reason.

- compute_tip_xy does not handle the 'bottom' parameter correctly when
   provided via 'x-show-tip'.  For example, if I ask for a value of 198
   pixels here I get a value of 829 (this issue being moot for system
   tooltips which always show up at the mouse position).

Note that none of these is an issue with the normal GTK build under X.

martin